Bug 88315 - Crash in Custom Install (Text)
Crash in Custom Install (Text)
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-08 16:36 EDT by Need Real Name
Modified: 2007-04-18 12:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-18 16:47:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Partial Error Trace (512 bytes, text/plain)
2003-04-08 16:42 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2003-04-08 16:36:55 EDT
Description of problem:

I chose a custom install and deselected a number of groups (X, Gnome, Printing).
 The box then comes up telling me that a log file will be stored in
/tmp/install.log, and I should press OK to continue.  After pressing OK, it then
informs me that it is formatting /.

Right after that I get a python trace, something about no match in an RPM header
or in comps.  I tried to save the trace to floppy as requested, but that didn't
work either :(  Half the trace was saved but it was incomplete.  I guess I'll
attach that in case it helps.

I'm now just installing a "workstation" on a larger drive and this seems to be
working so far.
Comment 1 Need Real Name 2003-04-08 16:42:59 EDT
Created attachment 91016 [details]
Partial Error Trace

Unfortunately, the complete trace was not saved before the installer shut down
and told me i could power off.

Hopefully this will give you enough of a clue to figure out the problem.
Comment 2 Michael Fulbright 2003-04-09 11:40:31 EDT
What install source were you using (FTP, NFS, CDROM...)?

It looks like either a bad CD or a corrupt network transfer, depending.
Comment 3 Need Real Name 2003-04-09 13:19:59 EDT
I'm using a CD install.  I scanned it and it comes back pass.  I have also used
the same set of CD's to upgrade two other machines and install a workstation on
a third.

I reproduced the error, so I guess i'll just type in the trace by hand.

Starting after the last complete line:

File "/usr/lib/anaconda/image.py", line 50 in mergeFullHeaders
File "/usr/lib/anaconda/comps.py", line 180 in mergeFullHeaders
    rpm.mergeHeaderListFromFD(self.hdlist, fd, 1000004)
error: match tag missing in new header

I'll leave it in it's current state for as long as possible in case you have any
more questions or you can tell me what to do with the Debug button.  Otherwise
it is easy to reproduce.
Comment 4 Need Real Name 2003-04-09 13:26:30 EDT
This problem is occurring the the text installer.  I put it in the summary, but
didn't make it clear in the bug report.

I have been attempting to install this on a 1.2 GB hard drive.  There is not
enough room to copy the CD image to the hard drive and then do the install. 
I've noticed that this happened on my other machines with larger drives.
Comment 5 Need Real Name 2003-04-11 15:07:39 EDT
I repeated the steps I used to cause this problem originally, but with a larger
hard drive.  The problem did not reoccur.  It is a bit annoying that I can't
install onto small hard drives, but I can probably live with it.
Comment 6 Michael Fulbright 2003-05-13 14:34:11 EDT
What type of partitioning were you using on the 1.2G drive? I've done minimal
installs on that size drive before w/o problems some I'm curious what was
different in your case.
Comment 7 Need Real Name 2003-05-13 14:43:11 EDT
It was a month ago, but I think I just set myself up to have swap and /.

I don't think this was a totally minimal install.  I think I had some
development tools selected along with the base installation.  I seem to recall
that the size of the installation was going to be a bit more than 700 MB.
Comment 8 Michael Fulbright 2003-05-13 14:54:27 EDT
There are some assumptions about a minimal amount of space being available for
some temporary files, but the space estimate we give is pretty conservative and
should take that into account.

If you can come up with a reproducible case I'd be happy to investigate further.
Comment 9 Michael Fulbright 2003-06-18 16:47:29 EDT
Closing due to inactivity - please reopen if you have additional information to add.

Note You need to log in before you can comment on or make changes to this bug.